#include <stdint.h>
#include <unistd.h>
#include <iostream>
#include <functional>


#include "i2c.hpp"

int main(void)
{
	//using namespace std::placeholders; // for _1, _2, ...
	//std::cout << "callback_example" << std::endl;

	hw::I2C<hw::i2c_ch0> i2c_ch_0;
	hw::I2C<hw::i2c_ch1> i2c_ch_1;
	
	
	
	i2c_ch_0.writeByte(1,1);
	i2c_ch_1.writeByte(1,2);


	return 0;
}
